QGIS Application - Bug report #17558
QGIS 3D view does not interpret DEM no-data values
2017-11-26 07:09 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25455
Description

| have a DEM layer with a no-data = -9999. When | load this in the QGIS 3D view it doesn’t seem to interpret the no data values, even
though it's set in the layer raster properties. See attached image for result.

Here’s the dataset | used in testing: hitps://www.dropbox.com/s/oobnggbexf7n4ps/Ids-wellington-lidar-1m-dem-2013-GTiff.zip?dI=1

Associated revisions

Revision 2{19d629 - 2017-12-21 11:22 AM - Martin Dobias

[3d] Respect no-data values from DEMs in terrain generator (fixes #17558)

History

#1 - 2017-12-21 11:22 AM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|2f19d62997d6610c8786726cb07a9310f12f4523.

#2 - 2018-02-22 11:48 AM - Giovanni Manghi

- Resolution set to fixed/implemented
